;===========================================================================================
; msgbox1.asm  Nasm assembler
; Boite  message
; Programm par AsmGges France                    http://www.chez.com/asmgges/index.htm
;===========================================================================================
; Compile:
; ..\..\bin\nasmw -f bin msgbox1.asm -o msgbox1.exe    
;===========================================================================================

%define ONLY_NASM 
%include "..\..\inc\nagoa+.inc"
%include "..\..\inc\defines.inc"

;===========================================================================================
; Dbut du code programme
; -----------------------
section .code

start:
    ; Cration d'une boite  message
    ; ------------------------------
    invoke MessageBox,0,Message,Titre,MB_OK+MB_SYSTEMMODAL

    ; Fermeture de l'application
    ; --------------------------
    invoke ExitProcess,0

;===========================================================================================
; Dfinitions des datas chaines / variables initialises ou non initialises / structures
;-------------------------------------------------------------------------------------------
section .data

  Titre   db ' AsmGges Win32',0
  Message db ' Bonjour ! Comment allez-vous ?',0

;===========================================================================================
; Inclusion des fichiers .dll contenant les fonctions Windows utilises
;-------------------------------------------------------------------------------------------

LAST_BEGIN

__LIBS_   kernel32,'kernel32.DLL',\
          user32,  'user32.DLL'

__IMPORT_ kernel32,\
          ExitProcess,'ExitProcess',0

__IMPORT_ user32,\
          MessageBox,'MessageBoxA',0

LAST_END

;===========================================================================================
;///////////////////////////////////////////////////////////////////////////////////////////
;===========================================================================================